#include "driver.h"

#include "netlink/netlink.h"
#include "netlink/genl/ctrl.h"

#include "socket.h"

#include "logger/logger.h"

extern struct nl_sock *socketInstance;

int driverId;

int initDriver(const char *name) {
	if ((driverId = genl_ctrl_resolve(socketInstance, name)) >= 0) {
		return 0;
	} else {
		LOG(ERROR, "could not get driver",
			LabelError(nl_geterror(driverId)),
			LabelString("driverName", name));
		return driverId;
	}
}
