#ifndef CUSTOM_LABEL_H
#define CUSTOM_LABEL_H

#include "common/types.h"

typedef enum {
	labelString,
	labelInt,
	labelFloat,
	labelDouble,
	labelBool
} LoggerLabelType;

typedef struct {
	LoggerLabelType type;

	char* name;

	union {
		char* s;
		int i;
		float f;
		double d;
		bool b;
	} value;
} LoggerLabel;

LoggerLabel* LabelError(const char* value);
LoggerLabel* LabelString(const char* name, const char* value);
LoggerLabel* LabelInt(const char* name, int value);
LoggerLabel* LabelFloat(const char* name, float value);
LoggerLabel* LabelDouble(const char* name, double value);
LoggerLabel* LabelBool(const char* name, bool value);

void LabelFree(LoggerLabel*);

void LabelPrint(LoggerLabel*);

#endif // CUSTOM_LABEL_H
