#include <stdio.h>
#include <stdarg.h>
#include <time.h>

#include "logger.h"
#include "label.h"

#include "common/time.h"

static const char *name[LEVELS] = {
	"DEBUG",
	"INFO",
	"WARN",
	"ERROR",
};

void printLog(LogLevel level, const char *message, ...) {
	va_list argumentList;

	struct timespec time;
	clock_gettime(CLOCK_MONOTONIC_RAW, &time);

	printf("[%.8llu.%.3llu][%s]\t%s\t", millis()/1000, millis()%1000, name[level], message);

	va_start(argumentList, message);

	LoggerLabel *label = va_arg(argumentList, LoggerLabel*);
	for ( ; label != NULL; ) {
		LabelPrint(label);
		LabelFree(label);

		if ((label = va_arg(argumentList, LoggerLabel*)) != NULL) {
			printf(",");
		}
	}
	puts("");
}
