#ifndef CUSTOM_LOGGER_H
#define CUSTOM_LOGGER_H

#include "common/indication.h"

#include <stdarg.h>

typedef enum {
	DEBUG,
	INFO,
	WARN,
	ERROR,

	LEVELS
} LogLevel;

void printLog(LogLevel level, const char *message, __WILL_BE_OWNED ...);

#define LOG(level, message, ...) \
	printLog(level, message, ##__VA_ARGS__, NULL) // https://stackoverflow.com/a/18968248

#include "logger/label.h"

#endif // CUSTOM_LOGGER_H
