#include <stdio.h>
#include <errno.h>

#include <unistd.h>

#include <net/if.h>

#include <linux/nl80211.h>

#include "netlink/netlink.h"
#include "netlink/genl/genl.h"

#include "socket.h"
#include "driver.h"

#include "callback/callback.h"

#include "common/time.h"

#include "logger/logger.h"
#include "logger/label.h"

#include "message/get/interface.h"
#include "message/set/interface.h"

int main() {
	initTime();
	if (initSocket()) {
		exit(1);
	}
	if (initDriver("nl80211")) {
		exit(1);
	}
	//NL80211_CMD_START_AP
	initCallback(false);

	fprintf(stderr, "==>BEFORE %d\n", getInterfaceMode("wlo1"));
	fprintf(stderr, "==>CHANGE %d\n", setInterfaceMode("wlo1", NL80211_IFTYPE_AP));
	fprintf(stderr, "==>AFTER %d\n", getInterfaceMode("wlo1"));

	closeSocket();

	return 0;
}
