#include "socket.h"

#include "netlink/socket.h"
#include "netlink/genl/genl.h"

#include "logger/logger.h"

struct nl_sock *socketInstance;

int initSocket() {
	int error;

	socketInstance = nl_socket_alloc();
	if (socketInstance == NULL) {
		return -1;
	}

	nl_socket_disable_seq_check(socketInstance);
	nl_socket_disable_auto_ack(socketInstance);

	if ((error = genl_connect(socketInstance))) {
		LOG(ERROR, "could not connect generic netlink socket",
			LabelError(nl_geterror(error)));
		return error;
	}

	return 0;
}

void closeSocket() {
	nl_close(socketInstance);
	nl_socket_free(socketInstance);
}